This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 98364 - (KICKSTART)eepro100 driver reports "unresolved symbols", fails to load
(KICKSTART)eepro100 driver reports "unresolved symbols", fails to load
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-01 14:19 EDT by Ethan Erchinger
Modified: 2013-07-02 22:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ethan Erchinger 2003-07-01 14:19:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Avant Browser 
[avantbrowser.com]; .NET CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
I've upgraded the kickstart installation to use the latest boot kernel: kernel-
2.4.20-18BOOT.i386.rpm.  I've replaced the netstg1.img, bootnet.img, and 
stage2.img.  When booting the bootnet.img the installed notices and tries to 
load the eepro100.o driver, which failed with unresolved symbols.  Looking at 
the modules.dep in the initrd image, there is a missing entry for the eepro100 
depending on the mii module.  I believe this is a new dependency as of the 
2.4.20 kernel, which now makes mii calls.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Rebuild kickstart image as described at:
http://www.puschitz.com/Kickstart.shtml
This can probably be replicated by simply trying to boot the 2.4.20-18BOOT 
image.
    

Actual Results:  kickstart halts

Expected Results:  eepro100 driver would load, and kickstart continue

Additional info:
Comment 1 Alan Cox 2003-07-05 09:11:36 EDT
When you replaced everything did you also regenerate the modules.dep ?
Comment 2 Ethan Erchinger 2003-07-05 16:48:16 EDT
I wasn't aware there was a standard process to regenerate the modules.dep.  I 
used the modules.dep that came with the 2.4.20-18BOOT kernel, so I didn't 
figure it needed regenerating.  Am I missing something?
Comment 3 Bugzilla owner 2004-09-30 11:41:14 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.